org.richfaces.renderkit.html

## Class PopupPanelBaseRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.PopupPanelBaseRenderer

- Direct Known Subclasses:
    PopupPanelRenderer

      public class PopupPanelBaseRenderer
      extends org.richfaces.renderkit.RendererBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopupPanelBaseRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `buildShowScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `checkOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Class` | `getComponentClass()`
    `String` | `getContainerStyle(javax.faces.component.UIComponent panel)`
    `Map<String,Object>` | `getHandledVisualOptions(javax.faces.component.UIComponent component)`
    `protected String` | `getLeftOrDefault(javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()`
    `String` | `getStyleIfTrimmed(javax.faces.component.UIComponent panel)`
    `protected String` | `getTopOrDefault(javax.faces.component.UIComponent component)`
    `void` | `renderControlsFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `renderHeaderFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopupPanelBaseRenderer

          public PopupPanelBaseRenderer()

  - ### Method Detail

    - #### renderHeaderFacet

          public void renderHeaderFacet(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                                 throws IOException

      Throws:
        `IOException`

    - #### renderControlsFacet

          public void renderControlsFacet(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                                   throws IOException

      Throws:
        `IOException`

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.richfaces.renderkit.RendererBase`

    - #### getComponentClass

          protected Class getComponentClass()

      Overrides:
        `getComponentClass` in class `org.richfaces.renderkit.RendererBase`

    - #### checkOptions

          public void checkOptions(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### buildShowScript

          public String buildShowScript(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)

    - #### getStyleIfTrimmed

          public String getStyleIfTrimmed(javax.faces.component.UIComponent panel)

    - #### getContainerStyle

          public String getContainerStyle(javax.faces.component.UIComponent panel)

    - #### getHandledVisualOptions

          public Map<String,Object> getHandledVisualOptions(javax.faces.component.UIComponent component)

    - #### getLeftOrDefault

          protected String getLeftOrDefault(javax.faces.component.UIComponent component)

    - #### getTopOrDefault

          protected String getTopOrDefault(javax.faces.component.UIComponent component)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.